Skip to main content
POST
Set disappearing messages timer

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

X-Device-Id
string

Device identifier for multi-device support. Required when multiple devices are registered. If only one device is registered, it will be used as the default. Can also be provided as device_id query parameter.

Example:

"my-device-id"

Path Parameters

chat_jid
string
required

Chat JID (e.g., phone@s.whatsapp.net for individual or groupid@g.us for group). Percent-encoded values (e.g., groupid%40g.us) are accepted.

Body

application/json
timer_seconds
integer
required

Timer in seconds: 0 (off), 86400 (24h), 604800 (7d), 7776000 (90d)

Example:

86400

Response

OK

status
integer
Example:

200

code
string
Example:

"SUCCESS"

message
string
Example:

"Disappearing messages set to 86400 seconds"

results
object